> ## Documentation Index
> Fetch the complete documentation index at: https://developer.zilmoney.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Checks

> List all check records with optional filters like status, term, and reference ID.



## OpenAPI

````yaml GET /checks
openapi: 3.0.1
info:
  title: Online Check Writer API
  description: API documentation for creating checks.
  version: 1.0.0
servers:
  - url: https://test.onlinecheckwriter.com/api/v3
    description: Test server
  - url: https://app.onlinecheckwriter.com/api/v3
    description: Production server
security: []
paths:
  /checks:
    get:
      tags:
        - Checks
      summary: Retrieve all checks
      description: >-
        List all check records with optional filters like status, term, and
        reference ID.
      parameters:
        - name: perPage
          in: query
          description: Number of records to retrieve in the response. Defaults to 10.
          required: false
          schema:
            type: integer
            default: 10
        - name: page
          in: query
          description: For navigating through pages. Defaults to the first page.
          required: false
          schema:
            type: integer
            default: 1
        - name: term
          in: query
          description: Filter records using any keywords.
          required: false
          schema:
            type: string
        - name: status
          in: query
          description: >-
            Filter records by check status. Allowed values: `new`, `void`,
            `mailed`, `refunded`, `emailed`, `eprinted`, `printed`.
          required: false
          schema:
            type: string
        - name: referenceId
          in: query
          description: Filter records by a unique reference ID.
          required: false
          schema:
            type: string
      responses:
        '200':
          description: Successful response with a list of checks.
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    example: true
                  data:
                    type: object
                    properties:
                      meta:
                        type: object
                        properties:
                          total:
                            type: integer
                          currentPage:
                            type: integer
                          perPage:
                            type: integer
                      checks:
                        type: array
                        items:
                          type: object
                          properties:
                            checkId:
                              type: string
                            serialNumber:
                              type: string
                            amount:
                              type: number
                            amountInWord:
                              type: string
                            date:
                              type: string
                              format: date
                            status:
                              type: integer
                            memo:
                              type: string
                              nullable: true
                            accountNumber:
                              type: string
                              nullable: true
                            invoiceNumber:
                              type: string
                              nullable: true
                            referenceId:
                              type: string
                              nullable: true
                            bankAccount:
                              type: object
                              properties:
                                bankAccountId:
                                  type: string
                                name:
                                  type: string
                            payee:
                              type: object
                              properties:
                                payeeId:
                                  type: string
                                name:
                                  type: string
                            checkStatus:
                              type: object
                              properties:
                                status:
                                  type: integer
                                description:
                                  type: string
                            checkStatements:
                              type: array
                              items:
                                type: object
                                properties:
                                  status:
                                    type: string
                                  date:
                                    type: string
                                    format: date
                                  time:
                                    type: string
              examples:
                exampleResponse:
                  value:
                    success: true
                    data:
                      meta:
                        total: 21325
                        currentPage: 1
                        perPage: 10
                      checks:
                        - checkId: kWx8eP3l60GK2Xz
                          serialNumber: '2'
                          amount: 12
                          amountInWord: twelve
                          date: '2024-11-18'
                          status: 0
                          memo: null
                          accountNumber: null
                          invoiceNumber: null
                          referenceId: null
                          bankAccount:
                            bankAccountId: 6gYVewBOP7Gdx7b
                            name: test
                          payee:
                            payeeId: 1ZoVelyDaQj8pwb
                            name: test new
                          checkStatus:
                            status: 0
                            description: New
                          checkStatements:
                            - status: created
                              date: '2024-11-18'
                              time: 04:15 pm
                        - checkId: zRNXG0J7PljLxyB
                          serialNumber: '345354353855'
                          amount: 12
                          amountInWord: twelve
                          date: '2024-11-16'
                          status: 0
                          memo: null
                          accountNumber: null
                          invoiceNumber: null
                          referenceId: null
                          bankAccount:
                            bankAccountId: xZqXGK2y0b4RzVv
                            name: werwer
                          payee:
                            payeeId: pzo54xE7BaGaXmL
                            name: Test Name 2
                          checkStatus:
                            status: 0
                            description: New
                          checkStatements:
                            - status: created
                              date: '2024-11-16'
                              time: 11:19 am
        '401':
          description: Unauthorized. Missing or invalid token.
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    example: Unauthenticated.
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````